> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# OnPage API 支持的 Lighthouse 版本

> OnPage Lighthouse API 基于 Google 的开源 Lighthouse 项目，提供有关网页质量的数据。



## OpenAPI

````yaml openapi/zh/dataforseo.json GET /dataforseo/on_page/lighthouse/versions
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/on_page/lighthouse/versions:
    get:
      summary: OnPage API 支持的 Lighthouse 版本
      description: OnPage Lighthouse API 基于 Google 的开源 Lighthouse 项目，提供有关网页质量的数据。
      operationId: get_dataforseo_on_page_lighthouse_versions
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.available_versions:
                    type: array
                    items:
                      type: string
                    description: >-
                      支持的 Lighthouse
                      版本列表；数组包含具有版本号以及指示该版本是否为默认版本的布尔值的对象。注意：你可以在向 OnPage
                      Lighthouse API 发出的 POST 请求中指定版本。
                  tasks.result.version:
                    type: string
                    description: Lighthouse 版本
                  tasks.result.default:
                    type: boolean
                    description: >-
                      如果为 true，则默认使用该版本；如果为 false，则默认不使用该版本，必要时应在 POST
                      请求的相应字段中指定
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````